Callisto4Bootloader: CMSIS/cmsis_iccarm.h File Reference

Callisto4Bootloader

Data Structures | Macros | Functions
cmsis_iccarm.h File Reference

CMSIS compiler ICCARM (IAR Compiler for Arm) header file. More...

`#include <intrinsics.h>`

Go to the source code of this file.

## Data Structures

struct | __iar_u32

## Macros

#define | __IAR_FT _Pragma("inline=forced") __intrinsic
#define | __ICCARM_V8 0
#define | __ALIGNED(x)
#define | __IAR_M0_FAMILY 0
#define | __ASM __asm
#define | __INLINE inline
#define | __NO_RETURN _Pragma("object_attribute=__noreturn")
#define | __PACKED __packed
#define | __PACKED_STRUCT __packed struct
#define | __PACKED_UNION __packed union
#define | __RESTRICT restrict
#define | __STATIC_INLINE static inline
#define | __FORCEINLINE _Pragma("inline=forced")
#define | __STATIC_FORCEINLINE __FORCEINLINE __STATIC_INLINE
#define | __UNALIGNED_UINT16_READ(PTR) __iar_uint16_read(PTR)
#define | __UNALIGNED_UINT16_WRITE(PTR, VAL) __iar_uint16_write(PTR,VAL)
#define | __UNALIGNED_UINT32_READ(PTR) __iar_uint32_read(PTR)
#define | __UNALIGNED_UINT32_WRITE(PTR, VAL) __iar_uint32_write(PTR,VAL)
#define | __UNALIGNED_UINT32(PTR) (((struct __iar_u32 *)(PTR))->v)
#define | __USED _Pragma("__root")
#define | __WEAK _Pragma("__weak")
#define | __ICCARM_INTRINSICS_VERSION__ 0
#define | __get_FPSCR __cmsis_iar_get_FPSR_not_active
#define | __set_FPSCR __cmsis_iar_set_FPSR_not_active
#define | __get_FPSCR() (0)
#define | __set_FPSCR(VALUE) ((void)VALUE)
#define | __enable_irq __enable_interrupt
#define | __disable_irq __disable_interrupt
#define | __NOP __no_operation
#define | __get_xPSR __get_PSR
#define | __BKPT(value) __asm volatile ("BKPT %0" : : "i"(value))

## Functions

__IAR_FT uint16_t | __iar_uint16_read (void const *ptr)
__IAR_FT void | __iar_uint16_write (void const *ptr, uint16_t val)
__IAR_FT uint32_t | __iar_uint32_read (void const *ptr)
__IAR_FT void | __iar_uint32_write (void const *ptr, uint32_t val)
__IAR_FT uint32_t | __LDREXW (uint32_t volatile *ptr)
__IAR_FT uint32_t | __STREXW (uint32_t value, uint32_t volatile *ptr)
__IAR_FT uint32_t | __ROR (uint32_t op1, uint32_t op2)

## Detailed Description

CMSIS compiler ICCARM (IAR Compiler for Arm) header file.

Version
  V5.0.8

Date
  04. September 2018

Definition in file cmsis_iccarm.h.

## Macro Definition Documentation

## ◆ __ALIGNED

#define __ALIGNED | ( |  | x | ) |

Definition at line 51 of file cmsis_iccarm.h.

## ◆ __ASM

#define __ASM __asm

Definition at line 110 of file cmsis_iccarm.h.

## ◆ __BKPT

#define __BKPT | ( |  | value | ) | __asm volatile ("BKPT %0" : : "i"(value))

Definition at line 770 of file cmsis_iccarm.h.

## ◆ __disable_irq

#define __disable_irq __disable_interrupt

Definition at line 550 of file cmsis_iccarm.h.

## ◆ __enable_irq

#define __enable_irq __enable_interrupt

Definition at line 549 of file cmsis_iccarm.h.

## ◆ __FORCEINLINE

#define __FORCEINLINE _Pragma("inline=forced")

Definition at line 166 of file cmsis_iccarm.h.

## ◆ __get_FPSCR [1/2]

#define __get_FPSCR | ( |  | void | ) | (0)

Definition at line 542 of file cmsis_iccarm.h.

## ◆ __get_FPSCR [2/2]

#define __get_FPSCR __cmsis_iar_get_FPSR_not_active

Definition at line 542 of file cmsis_iccarm.h.

## ◆ __get_xPSR

#define __get_xPSR __get_PSR

Definition at line 553 of file cmsis_iccarm.h.

## ◆ __IAR_FT

#define __IAR_FT _Pragma("inline=forced") __intrinsic

Definition at line 35 of file cmsis_iccarm.h.

## ◆ __IAR_M0_FAMILY

#define __IAR_M0_FAMILY 0

Definition at line 105 of file cmsis_iccarm.h.

## ◆ __ICCARM_INTRINSICS_VERSION__

#define __ICCARM_INTRINSICS_VERSION__ 0

Definition at line 244 of file cmsis_iccarm.h.

## ◆ __ICCARM_V8

#define __ICCARM_V8 0

Definition at line 40 of file cmsis_iccarm.h.

## ◆ __INLINE

#define __INLINE inline

Definition at line 114 of file cmsis_iccarm.h.

## ◆ __NO_RETURN

#define __NO_RETURN _Pragma("object_attribute=__noreturn")

Definition at line 121 of file cmsis_iccarm.h.

## ◆ __NOP

#define __NOP __no_operation

Definition at line 551 of file cmsis_iccarm.h.

## ◆ __PACKED

#define __PACKED __packed

Definition at line 130 of file cmsis_iccarm.h.

## ◆ __PACKED_STRUCT

#define __PACKED_STRUCT __packed struct

Definition at line 139 of file cmsis_iccarm.h.

## ◆ __PACKED_UNION

#define __PACKED_UNION __packed union

Definition at line 148 of file cmsis_iccarm.h.

## ◆ __RESTRICT

#define __RESTRICT restrict

Definition at line 157 of file cmsis_iccarm.h.

## ◆ __set_FPSCR [1/2]

#define __set_FPSCR | ( |  | VALUE | ) | ((void)VALUE)

Definition at line 543 of file cmsis_iccarm.h.

## ◆ __set_FPSCR [2/2]

#define __set_FPSCR __cmsis_iar_set_FPSR_not_active

Definition at line 543 of file cmsis_iccarm.h.

## ◆ __STATIC_FORCEINLINE

#define __STATIC_FORCEINLINE __FORCEINLINE __STATIC_INLINE

Definition at line 170 of file cmsis_iccarm.h.

## ◆ __STATIC_INLINE

#define __STATIC_INLINE static inline

Definition at line 162 of file cmsis_iccarm.h.

## ◆ __UNALIGNED_UINT16_READ

#define __UNALIGNED_UINT16_READ | ( |  | PTR | ) | __iar_uint16_read(PTR)

Definition at line 181 of file cmsis_iccarm.h.

## ◆ __UNALIGNED_UINT16_WRITE

#define __UNALIGNED_UINT16_WRITE | ( |  | PTR,
|  |  | VAL
| ) |  | __iar_uint16_write(PTR,VAL)

Definition at line 193 of file cmsis_iccarm.h.

## ◆ __UNALIGNED_UINT32

#define __UNALIGNED_UINT32 | ( |  | PTR | ) | (((struct __iar_u32 *)(PTR))->v)

Definition at line 223 of file cmsis_iccarm.h.

## ◆ __UNALIGNED_UINT32_READ

#define __UNALIGNED_UINT32_READ | ( |  | PTR | ) | __iar_uint32_read(PTR)

Definition at line 204 of file cmsis_iccarm.h.

## ◆ __UNALIGNED_UINT32_WRITE

#define __UNALIGNED_UINT32_WRITE | ( |  | PTR,
|  |  | VAL
| ) |  | __iar_uint32_write(PTR,VAL)

Definition at line 215 of file cmsis_iccarm.h.

## ◆ __USED

#define __USED _Pragma("__root")

Definition at line 230 of file cmsis_iccarm.h.

## ◆ __WEAK

#define __WEAK _Pragma("__weak")

Definition at line 238 of file cmsis_iccarm.h.

## Function Documentation

## ◆ __iar_uint16_read()

__IAR_FT uint16_t __iar_uint16_read | ( | void const * | ptr | ) |

Definition at line 176 of file cmsis_iccarm.h.

## ◆ __iar_uint16_write()

__IAR_FT void __iar_uint16_write | ( | void const * | ptr,
|  | uint16_t | val
| ) |  |

Definition at line 188 of file cmsis_iccarm.h.

## ◆ __iar_uint32_read()

__IAR_FT uint32_t __iar_uint32_read | ( | void const * | ptr | ) |

Definition at line 199 of file cmsis_iccarm.h.

## ◆ __iar_uint32_write()

__IAR_FT void __iar_uint32_write | ( | void const * | ptr,
|  | uint32_t | val
| ) |  |

Definition at line 210 of file cmsis_iccarm.h.

## ◆ __LDREXW()

__IAR_FT uint32_t __LDREXW | ( | uint32_t volatile * | ptr | ) |

Definition at line 557 of file cmsis_iccarm.h.

## ◆ __ROR()

__IAR_FT uint32_t __ROR | ( | uint32_t | op1,
|  | uint32_t | op2
| ) |  |

Definition at line 591 of file cmsis_iccarm.h.

## ◆ __STREXW()

__IAR_FT uint32_t __STREXW | ( | uint32_t | value,
|  | uint32_t volatile * | ptr
| ) |  |

Definition at line 562 of file cmsis_iccarm.h.